package xyz.wbsite.frame.base;

import java.util.List;

public class DictEntity extends BaseEntity {

    /**
     * 字典标签：通常为显示所用
     */
    private String label;
    /**
     * 字典值：通常为实际需要的值
     */
    private String value;

    /**
     * 字典子项，无子项时不要
     */
    private List<DictEntity> children;

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public List<DictEntity> getChildren() {
        return children;
    }

    public void setChildren(List<DictEntity> children) {
        this.children = children;
    }
}
